MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations | Variables
TagType.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations
enum | TagType { TAG_ARTIST, TAG_ARTIST_SORT, TAG_ALBUM, TAG_ALBUM_SORT, TAG_ALBUM_ARTIST, TAG_ALBUM_ARTIST_SORT, TAG_TITLE, TAG_TRACK, TAG_NAME, TAG_GENRE, TAG_DATE, TAG_COMPOSER, TAG_PERFORMER, TAG_COMMENT, TAG_DISC, TAG_MUSICBRAINZ_ARTISTID, TAG_MUSICBRAINZ_ALBUMID, TAG_MUSICBRAINZ_ALBUMARTISTID, TAG_MUSICBRAINZ_TRACKID, TAG_MUSICBRAINZ_RELEASETRACKID, TAG_NUM_OF_ITEM_TYPES }
| Codes for the type of a tag item. More...

## Variables
const char *const | tag_item_names []
| An array of strings, which map the TagType to its machine readable name (specific to the MPD protocol). More...

## Enumeration Type Documentation

enum TagType

Codes for the type of a tag item.

Enumerator
TAG_ARTIST |
TAG_ARTIST_SORT |
TAG_ALBUM |
TAG_ALBUM_SORT |
TAG_ALBUM_ARTIST |
TAG_ALBUM_ARTIST_SORT |
TAG_TITLE |
TAG_TRACK |
TAG_NAME |
TAG_GENRE |
TAG_DATE |
TAG_COMPOSER |
TAG_PERFORMER |
TAG_COMMENT |
TAG_DISC |
TAG_MUSICBRAINZ_ARTISTID |
TAG_MUSICBRAINZ_ALBUMID |
TAG_MUSICBRAINZ_ALBUMARTISTID |
TAG_MUSICBRAINZ_TRACKID |
TAG_MUSICBRAINZ_RELEASETRACKID |
TAG_NUM_OF_ITEM_TYPES |

Definition at line 30 of file TagType.h.

## Variable Documentation

const char* const tag_item_names[]

An array of strings, which map the TagType to its machine readable name (specific to the MPD protocol).